/**
    СТИЛИ ПОСЛЕ ОСНОВОГО СТИЛЯ

    Некоторые элементы нужно инициировать так.

    Это тоже для предотвращения нежелательных эффектов анимаций.
 */

section.promo_doors > .content {
    transition: max-width .5s;
}
section.promo_doors > .content > span {
    transition: max-width .5s;
}
section.promo_doors > .content::before {
    transition: left .5s, top .5s;
}

section.doors_catalog > .doors-swiper > .swiper-wrapper > .swiper-slide > .product-item > .product-item-image > .details > button {
    transition: opacity .25s;
}

section.doors_catalog > .designs_and_specs,
section.doors_catalog > .doors-swiper,
section.doors_catalog > .pagination_and_gtc > .pagination-buttons,
section.doors_catalog > .pagination_and_gtc > .go_to_catalog {
    transition:
            left .5s,
            top .5s,
            right .5s,
            width .5s;
}
